﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MyFirstSLApp
{
    public partial class Menu : UserControl
    {
        public Menu()
        {
            InitializeComponent();
        }

        private void helloWorld_Click(object sender, RoutedEventArgs e)
        {
            this.Transfer(new Page());
        }

        private void canvasSample_Click(object sender, RoutedEventArgs e)
        {
            this.Transfer(new CanvasSample());
        }

        private void stackPanelSample_Click(object sender, RoutedEventArgs e)
        {
            this.Transfer(new StackPanelSample());
        }

        private void gridSample_Click(object sender, RoutedEventArgs e)
        {
            this.Transfer(new GridSample());
        }

        private void birthday_Click(object sender, RoutedEventArgs e)
        {
            this.Transfer(new BirthdayCountdown());
        }

        /// <summary>
        /// TopPage.ChangeContentを呼び出し、画面遷移を行います
        /// </summary>
        /// <param name="uc"></param>
        private void Transfer(UserControl uc)
        {
            TopPage topPage = Application.Current.RootVisual as TopPage;
            topPage.ChangeContent(uc);
        }


    }
}
